# Uses of Interface
org.eclipse.birt.chart.model.attribute.Insets

Packages that use Insets
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of Insets in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Insets
Modifier and Type
Method
Description
`Insets`
GObjectFactory.`copyOf(Insets src)`
`Insets`
IGObjectFactory.`copyOf(Insets src)`
`Insets`
GObjectFactory.`createInsets(double dTop, double dLeft, double dBottom, double dRight)`
`Insets`
IGObjectFactory.`createInsets(double dTop, double dLeft, double dBottom, double dRight)`
`final Insets`
PlotComputation.`getPlotInsets()`
`Insets`
GObjectFactory.`max(Insets ins1, Insets ins2)`
`Insets`
IGObjectFactory.`max(Insets ins1, Insets ins2)`
`Insets`
GObjectFactory.`scaleInsets(Insets ins, double dScale)`
`Insets`
IGObjectFactory.`scaleInsets(Insets ins, double dScale)`
Methods in org.eclipse.birt.chart.computation with parameters of type Insets
Modifier and Type
Method
Description
`Bounds`
GObjectFactory.`adjusteBounds(Bounds bo, Insets ins)`
`Bounds`
IGObjectFactory.`adjusteBounds(Bounds bo, Insets ins)`
`Insets`
GObjectFactory.`copyOf(Insets src)`
`Insets`
IGObjectFactory.`copyOf(Insets src)`
`Insets`
GObjectFactory.`max(Insets ins1, Insets ins2)`
`Insets`
IGObjectFactory.`max(Insets ins1, Insets ins2)`
`Insets`
GObjectFactory.`scaleInsets(Insets ins, double dScale)`
`Insets`
IGObjectFactory.`scaleInsets(Insets ins, double dScale)`

## Uses of Insets in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Insets
Modifier and Type
Method
Description
`Insets`
AllAxes.`getInsets()`

## Uses of Insets in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Insets
Modifier and Type
Method
Description
`Insets`
Insets.`copyInstance()`
`Insets`
AttributeFactory.`createInsets()`
Returns a new object of class 'Insets'.
`Insets`
Style.`getPadding()`
Returns the value of the 'Padding' containment reference.
`Insets`
Insets.`scaledInstance(double dScale)`
Returns a new instance with scaled members w.r.t this instance.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type Insets
Modifier and Type
Method
Description
`void`
Bounds.`adjust(Insets ins)`
Causes the internal (left,right,width,height) values to be scaled by a the specified Insets
`Bounds`
Bounds.`adjustedInstance(Insets ins)`
Creates a new 'Bounds' instance by adjusting the existing 'Bounds' instance using the given 'Insets' NOTE: Manually written
`void`
Style.`setPadding(Insets value)`
Sets the value of the '`Padding`' containment reference.

## Uses of Insets in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Insets
Modifier and Type
Class
Description
`class`
`InsetsImpl`
An implementation of the model object ' Insets'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Insets
Modifier and Type
Method
Description
`Insets`
InsetsImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Insets`
InsetsImpl.`create(double dTop, double dLeft, double dBottom, double dRight)`
A convenient method for creating an instance and initializing member variables.
`static final Insets`
InsetsImpl.`createDefault(double dTop, double dLeft, double dBottom, double dRight)`
A convenient method for creating an instance and initializing member variables.
`Insets`
AttributeFactoryImpl.`createInsets()`
`Insets`
StyleImpl.`getPadding()`
`static final Insets`
InsetsImpl.`max(Insets ins1, Insets ins2)`
`static final Insets`
InsetsImpl.`min(Insets ins1, Insets ins2)`
`final Insets`
InsetsImpl.`scaledInstance(double dScale)`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Insets
Modifier and Type
Method
Description
`void`
BoundsImpl.`adjust(Insets ins)`
`final Bounds`
BoundsImpl.`adjustedInstance(Insets ins)`
Creates a new 'Bounds' instance by adjusting the existing 'Bounds' instance using the given 'Insets' NOTE: Manually written
`org.eclipse.emf.common.notify.NotificationChain`
StyleImpl.`basicSetPadding(Insets newPadding, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static Style`
StyleImpl.`create(FontDefinition font, ColorDefinition color, ColorDefinition backcolor, Image backimage, Insets padding)`
`static final Insets`
InsetsImpl.`max(Insets ins1, Insets ins2)`
`static final Insets`
InsetsImpl.`min(Insets ins1, Insets ins2)`
`void`
StyleImpl.`setPadding(Insets newPadding)`

## Uses of Insets in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Insets
Modifier and Type
Method
Description
`Insets`
Label.`getInsets()`
Returns the value of the 'Insets' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type Insets
Modifier and Type
Method
Description
`void`
Label.`setInsets(Insets value)`
Sets the value of the '`Insets`' containment reference.

## Uses of Insets in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return Insets
Modifier and Type
Method
Description
`Insets`
LabelImpl.`getInsets()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Insets
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
LabelImpl.`basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
LabelImpl.`setInsets(Insets newInsets)`

## Uses of Insets in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Insets
Modifier and Type
Method
Description
`Insets`
Block.`getInsets()`
Returns the value of the 'Insets' containment reference.
`Insets`
ClientArea.`getInsets()`
Returns the value of the 'Insets' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Insets
Modifier and Type
Method
Description
`void`
Block.`setInsets(Insets value)`
Sets the value of the '`Insets`' containment reference.
`void`
ClientArea.`setInsets(Insets value)`
Sets the value of the '`Insets`' containment reference.

## Uses of Insets in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Insets
Modifier and Type
Method
Description
`Insets`
BlockImpl.`getInsets()`
`Insets`
ClientAreaImpl.`getInsets()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Insets
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
BlockImpl.`basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
ClientAreaImpl.`basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
BlockImpl.`setInsets(Insets newInsets)`
`void`
ClientAreaImpl.`setInsets(Insets newInsets)`